#include <Wire.h>
#include <RGB.h>

const unsigned char defaultAddress = 0x20;
const int buttonPin = 2;
unsigned char isAudioOn = 0;
RGB rgb(defaultAddress);


void setup()
{
  rgb.startPWM();
}
void loop()
{
  if(digitalRead(buttonPin) == LOW){
    //Simple deounce
    delay(10);
    if(digitalRead(buttonPin) == LOW){        
      if(isAudioOn == 1){
        rgb.stopAudio();
        isAudioOn = 0;
      } else {
        rgb.startAudio();
        isAudioOn = 1;
      }
    }
    //Wait for release
    while(digitalRead(buttonPin) == LOW);
  }
}
